function showdetections(im,bb,pose,nc)

%show image
imshow(im);
switch nc
    case 4
        view_name = {'Left','Right','Frontal','Rear'};
    case 8
        view_name = {'Left','Right','Frontal-Left','Frontal-Right','Rear-Left','Rear-Right','Frontal','Rear'};
    case 16
        view_name = {'1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16'};
end


%draw bb
[m,n] = size(bb);
for x = 1:m
    rectangle('Position',[bb(x,1),bb(x,2),bb(x,3)-bb(x,1),bb(x,4)-bb(x,2),],...
        'EdgeColor','g','LineWidth',4);
    
    text(bb(x,1)-5,bb(x,2)-10,view_name{pose(x)},'FontSize',18,'Color','g');
    
end